HomeGuidesAPI ReferenceChangelog
Log In
API Reference

ZIP Codes

Use ZIP Codes to retrieve location metadata for US ZIP codes, including city, county, state, latitude, and longitude.

Use ZIP Codes to retrieve location metadata for US ZIP codes, including city, county, state, latitude, and longitude.

ZIP code metadata is useful for display, tariff discovery, and location-based workflows. For example, if you are interested in tariffs for ZIP code 48322, you can retrieve the city, county, state, and coordinate details associated with that ZIP code.

Data definitions

ZIP Code

The ZipCode object has the following data structure.

NameTypeDescription
zipcodeString5-character string of the ZIP code.
latitudeIntegerLatitude of this location.
longitudeIntegerLongitude of this location.
cityStringDisplay name of the city containing this ZIP code.
countyStringDisplay name of the county containing this ZIP code.
areaCodeStringArea code or codes for this ZIP code. Area codes are separated by a forward slash, such as 415/510.
cityTypeStringNot currently used.
cityAliasAbbreviationStringCommon abbreviation for this city, if available.
elevationIntegerHighest elevation, in feet, within this ZIP code.
dayLightSavingBooleanWhether this ZIP code observes daylight saving time.
cityMixedCaseStringAlternate display name of the city containing this ZIP code.
stateAnsiIntegerState ANSI code representing the state containing this ZIP code.
countyAnsiIntegerANSI code representing the county containing this ZIP code.
stateStringTwo-character abbreviation of the state containing this ZIP code.
timeZoneIntegerNumber indicating the time zone, such as 8 for Pacific Time.

State ANSI codes for the United States are published by the US Census Bureau.

This example shows a ZIP code object:

{  
	"zipcode":"48322",  
	"latitude":42,  
	"longitude":-83,  
	"city":"WEST BLOOMFIELD",  
	"county":"OAKLAND",  
	"areaCode":"248/734",  
	"cityType":"B",  
	"cityAliasAbbreviation":"W BLOOMFIELD",  
	"elevation":943,  
	"dayLightSaving":true,  
	"classificationCode":null,  
	"cityMixedCase":"West Bloomfield",  
	"cityAliasMixedCase":"West Bloomfield",  
	"stateAnsi":26,  
	"countyAnsi":125,  
	"state":"MI",  
	"timeZone":5  
}

Get ZIP Codes

Retrieve ZIP code records and their associated location metadata.

Resource URI

GET /rest/public/zipcodes

For endpoint-specific details, see Get ZIP Codes.

Get One ZIP Code

Retrieve details for a ZIP code in the standard response format.

Resource URI

GET /rest/public/zipcodes/{zipCode}

Request parameters


NameTypeDescription
zipCodeStringZIP code to retrieve. Required.